> For the complete documentation index, see [llms.txt](https://legacy-docs.aragon.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/common/vaultrecoverable.md).

# VaultRecoverable

## contract VaultRecoverable

is [IVaultRecoverable](/developers/tools/aragonos/smart-contract-references/common/ivaultrecoverable.md), [EtherTokenConstant](/developers/tools/aragonos/smart-contract-references/common/ethertokenconstant.md), [IsContract](/developers/tools/aragonos/smart-contract-references/common/iscontract.md)

Source: [contracts/common/VaultRecoverable.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/common/VaultRecoverable.sol)

## Index

* [allowRecoverability](#allowrecoverability)
* [getRecoveryVault](#getrecoveryvault)
* [transferToVault](#transfertovault)

## Reference

### Functions

#### **allowRecoverability** <a href="#allowrecoverability" id="allowrecoverability"></a>

` function`` `` `**`allowRecoverability`**`(address token) public view returns (bool)`

***

By default deriving from AragonApp makes it recoverable.

Parameters:

* `token` - Token address that would be recovered

Returns:

* bool whether the app allows the recovery

#### **getRecoveryVault** <a href="#getrecoveryvault" id="getrecoveryvault"></a>

` abstract function`` `` `**`getRecoveryVault`**`() public view returns (address)`

***

Returns:

* address

#### **transferToVault** <a href="#transfertovault" id="transfertovault"></a>

` function`` `` `**`transferToVault`**`(address _token) external`

***

Send funds to recovery Vault. This contract should never receive funds, but in case it does, this function allows one to recover them.

Parameters

* `_token` - Token balance to be sent to recovery vault.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/common/vaultrecoverable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
